package siprp.higiene.relatorio.print;

import org.jdom.Element;

public class MedidaToPrint
	implements PrintableInterface
{
	protected String requisitosLegais;
	protected String descricao;
	
	public MedidaToPrint( String requisitosLegais, String descricao )
	{
		super();
		this.requisitosLegais = requisitosLegais;
		this.descricao = descricao;
	}

	@Override
	public Element toJdomElement() throws Exception
	{
		Element medidaElement = new Element( "medida" );
		Element requisitosLegaisElement = new Element( "requisitos-legais" );
		requisitosLegaisElement.setText( requisitosLegais );
		medidaElement.addContent( requisitosLegaisElement );
		Element descricaoElement = new Element( "descricao" );
		descricaoElement.setText( descricao );
		medidaElement.addContent( descricaoElement );
		return medidaElement;
	}
}
